{...}: let
  pkgsPath = (import ./nix/sources.nix).nixpkgs;
  pkgs =
    import pkgsPath {overlays = builtins.attrValues (import ./nix/overlays);};
in
  pkgs.stdenv.mkDerivation {
    name = "infra-env";
    buildInputs =
      [
        (with import (pkgsPath + "/nixos") {configuration = {};};
          with config.system.build; [
            nixos-generate-config
            nixos-install
            nixos-enter
            manual.manpages
          ])
      ]
      ++ (with pkgs; [
        just
        git-crypt
        vcsh
        gnupg
        git
        nixUnstable
        niv
        nixos-install-tools
        apacheHttpd

        vncdo
        tesseract
        imagemagick

        esh

        xorg.xwininfo
        nmap
        sysstat
        lshw
        xxHash
        linssid
        wavemon
        wirelesstools
        lm_sensors

        zathura

        ripgrep
        glxinfo
        nixfmt

        ntfy

        playerctl
      ]);

    # Set Environment Variables
    RUST_BACKTRACE = 1;
  }
